%--------------------------------------------------------%
%  Representation des maillages issus de Gmsh            %
%                                                        %
%  C. Besse, IMT Toulouse, 2018                          %
%--------------------------------------------------------%
function p=trace_maillage_phys(m,dom_phys)
  ind=find(m.TRIANGLES(:,4)==dom_phys);
  xP=zeros(3,length(ind));
  yP=xP;
  col=xP;
  for j=1:length(ind)
    for k=1:3
      noe=m.TRIANGLES(ind(j),k);
      xP(k,j)=m.POS(noe,1);
      yP(k,j)=m.POS(noe,2);
      col(k,j)=1;
    end
  end
  p=patch(xP,yP,col,'FaceColor','none');
  