%--------------------------------------------------------%
%  Fonction pour le trace d'une surface sur un maillage  %
%                d'elements finis                        %
%                                                        %
%  C. Besse, IMT Toulouse, 2018                          %
%--------------------------------------------------------%

function p=trace_sol(m,sol)
  xP=zeros(3,m.nbTriangles);
  yP=xP;
  zP=xP;
  for j=1:m.nbTriangles
    for k=1:3
      noe=m.TRIANGLES(j,k);
      xP(k,j)=m.POS(noe,1);
      yP(k,j)=m.POS(noe,2);
      zP(k,j)=sol(noe);
    end
  end
  p=patch(xP,yP,zP,zP);
  view(-30,30);
  axis tight;
