%--------------------------------------------------------%
%  Representation des solutions d'une EDP sur maillages  %
%  issus de Gmsh                                         %
%                                                        %
%  C. Besse, IMT Toulouse, 2018                          %
%--------------------------------------------------------%
function p=trace_sol_phys(m,sol,dom_phys)
  ind=find(m.TRIANGLES(:,4)==dom_phys);
  xP=zeros(3,length(ind));
  yP=xP;
  zP=xP;
  for j=1:length(ind)
    for k=1:3
      noe=m.TRIANGLES(ind(j),k);
      xP(k,j)=m.POS(noe,1);
      yP(k,j)=m.POS(noe,2);
      zP(k,j)=sol(noe);
    end
  end
  p=patch(xP,yP,zP,zP);
  view(-30,30);
  axis tight;
